package models

import (

	"go-admin/common/models"

)

type LineUduncoin struct {
    models.Model
    
    TokenStatus int64 `json:"tokenStatus" gorm:"type:int;comment:0： 主幣 1：代幣"` 
    Decimals int64 `json:"decimals" gorm:"type:int;comment:幣種精度,8"` 
    MainCoinType string `json:"mainCoinType" gorm:"type:varchar(255);comment:主幣種類型"` 
    CoinType string `json:"coinType" gorm:"type:varchar(255);comment:幣種類型"` 
    Symbol string `json:"symbol" gorm:"type:varchar(255);comment:幣種symbol"` 
    Name string `json:"name" gorm:"type:varchar(255);comment:幣種別名,BTC"` 
    Logo string `json:"logo" gorm:"type:varchar(255);comment:幣種logo地址"` 
    CoinName string `json:"coinName" gorm:"type:varchar(255);comment:幣種全稱,Bitcoin"` 
    MainSymbol string `json:"mainSymbol" gorm:"type:varchar(255);comment:主幣種symbol"` 
    models.ModelTime
    models.ControlBy
}

func (LineUduncoin) TableName() string {
    return "line_uduncoin"
}

func (e *LineUduncoin) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineUduncoin) GetId() interface{} {
	return e.Id
}